import axios from '@/libs/axios.js';

// 交易记录列表
export const getGoldLogList = params => {
	let url = `officialPartnerGoldLog/query/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
};
// 撤销单据
export const GoldLogCancel = params => {
  return axios.request({
    url: `officialPartnerGoldLog/cancel/${params.id}`,
    method: 'get',
  })
};

// 总计乐豆数
export const GoldLogTotal = params => {
	return axios.request({
	  url: `officialPartnerGoldLog/total`,
	  method: 'post',
	  data: params
	})
}
